LUMINA-FM(1)

NAME
lumina-fm - is a utility used for browsing and interacting with files on the system.

SYNOPSIS
lumina-fm [-new-instance] [FILE]

DESCRIPTION
lumina-fm is the CLI command to open Insight File Manager. The file manager interface maintains files stored on the system. lumina-fm can take an optional argument and file path. If no argument or file path is specified, the command opens the Insight File Manager in the home directory. Specifying a file path while the interface is open creates a new tab in the existing window.

-new-instance
    Opens Insight File Manager in a new window.

EXAMPLES

    % lumina-fm -new-instance /usr/bin/etc
Opens Insight in a new window pointed to the specified directory.

    % lumina-fm /usr/etc/bin
Opens the specified directory with the file manager. If Insight is already open, a second tab is created.

OPTIONAL RUNTIME DEPENDENCIES
If other lumina utilities are installed more options are available. The following are optional for lumina-fm

lumina-archiver
    Gives the option to instantaneously extract an archive into a new subfolder within the current directory.

lumina-open
    Gives the option to "open-with".

lumina-fileinfo
    Provides an option to view the properties of files.

FILES

/usr/local/bin/lumina-fm

AUTHORS
Aaron St. John and Tim Moore <aaron@ixsystems.com>